import java.util.InputMismatchException;
import java.util.Scanner;

public class divideByZeroWithExceptions
{
  
   public static int quotient( int numerator, int denominator ) throws ArithmeticException
   {
      return numerator / denominator; // possible division by zero
   } 

   public static void main( String[] args )
   {
     Scanner scanner = new Scanner( System.in ); // scanner for input
     boolean continueLoop = true; // determines if more input is needed

     do
     {
        try // read two numbers and calculate quotient
        {
          System.out.print( "Insert an integer numerator: " );
          int numerator = scanner.nextInt();

          System.out.print( "Insert an integer denominator, other than 0 : " );

          int denominator = scanner.nextInt();
          int result = quotient( numerator, denominator );

          System.out.printf( "\nResult: %d / %d = %d\n", numerator,denominator, result );

          continueLoop = false;  // input successful; end looping
        } 
        catch ( InputMismatchException inputMismatchException )
        {
           System.err.printf( "\nException: %s\n",inputMismatchException );
           scanner.nextLine(); // discard input so user can try again
           System.out.println("Input mismatch. Re-enter.\n" );
        } 
        catch ( ArithmeticException arithmeticException )
        {
           System.err.printf( "\nException: %s\n", arithmeticException );
           System.out.println("0 is an invalid denominator. Re-enter.\n" );
        } 
        finally // executes nevertheless
        {
           System.err.println( "Finally executed " );
        } // end finally
     } 
     while ( continueLoop ); // end do-while

   } //end main

} 